<?php
    //基本设置
	//谷鸽版权所有www.googie.cc | www.ose.cc 论坛bbs.ose.cc
	//谷鸽搜索研发
	//谷鸽QQ群58300939  客服QQ120588880 
error_reporting(E_ALL & ~E_NOTICE);
require( "config.php" );
$py = md5( $site_url.$Googie.md5( $site_url )."<br/><华霆国际 Googie 谷鸽数据库>" );
if ( $_SERVER['HTTP_HOST']  )
{
				$opts = array(
								"http" => array( "method" => "GET", "timeout" => 60 )
				);
				$context = stream_context_create( $opts );
				header( "content-Type=text/html;charset=gb2312" );
				$word = $_GET['word'];
				$s = urlencode( $word );
				$title = $word;
				$pn =$_GET['pn'];
				$url = $searchT."$Authorization/".$GAuthorization."/?&word=".$s."&page_no=".$page_no."&pn=".$pn;
				$start = "<Googieifstart>";
				$end = "<Googieifend>";
				$temp = file_get_contents( $url, false, $context );
				$content = intercept_str( $temp, $start, $end, 0 );
				$content = str_replace( "action=\"/$GAuthorization\"", "action=\"\"", $content );
				$content = str_replace( "$GAuthorization?", "$Gindex/?", $content );
				include_once( "head.php" );
				echo $content;
				include_once( "foot.php" );
				
}
else
{
				echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=gb2312\" />\r\n加载失败，请查询注册码是否存在，购买请联系QQ84930119 授权码 <font color=#FFFFFF>$py</font>";
}
?>